/**
 * Licensed to Jasig under one or more contributor license
 * agreements. See the NOTICE file distributed with this work
 * for additional information regarding copyright ownership.
 * Jasig licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a
 * copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.jasig.schedassist.impl.owner;

/**
 * Thrown by a {@link PublicProfileDao} if trying to create a Public Profile for a 
 * schedule owner that has already created one.
 *  
 * @author Nicholas Blair, nblair@doit.wisc.edu
 * @version $Id: PublicProfileAlreadyExistsException.java 2124 2010-05-19 16:36:43Z npblair $
 */
public class PublicProfileAlreadyExistsException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	public PublicProfileAlreadyExistsException() {
		super();
	}

	/**
	 * @param message
	 * @param cause
	 */
	public PublicProfileAlreadyExistsException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public PublicProfileAlreadyExistsException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public PublicProfileAlreadyExistsException(Throwable cause) {
		super(cause);
	}

}
